%define name kgoodstuff
%define	version 1.0.1
%define release 7mdk
%define prefix /usr

Summary: Alternate application launcher for KDE.
Name: %{name}
Version: %{version}
Release: %{release}
Source:  %{name}-%{version}.tar.bz2
Group: Graphical desktop/KDE
Copyright: GPL
URL: http://www.sad.it/~jug/kgoodstuff/
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Requires: qt kdelibs

%description
Alternative application launcher for the K Desktop Environment.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q 

%build
libtoolize --force
export KDEDIR=%{_prefix}
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" \
  ./configure --prefix=$KDEDIR --with-install-root=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT    
if [ "$SMP" != "" ]; then
  (make KDEDIR=$KDEDIR "MAKE=make -k -j $SMP"; exit 0)
  make KDEDIR=$KDEDIR
else
  make KDEDIR=$KDEDIR
fi

%install
export KDEDIR=%{_prefix}
make prefix=$RPM_BUILD_ROOT$KDEDIR install

rm -rf $RPM_BUILD_ROOT/usr/share/applnk
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
cat <<EOF >$RPM_BUILD_ROOT/usr/lib/menu/%{name}
?package(%{name}):command="kgoodstuff" \
		  icon="kgoodstuff.xpm" \
		  needs="kde" \
		  section="Applications/File tools" \
		  title="KGoodStuff" \
		  longtitle="Alternate application launcher for KDE"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x /usr/bin/update-menus ]; then
	/usr/bin/update-menus
fi

%postun
if [ "$1" = 0 ]; then
	if [ -x /usr/bin/update-menus ]; then
		/usr/bin/update-menus
	fi
fi

%files
%defattr(-,root,root,0755)
%docdir /usr/doc/kde
%{prefix}/doc/kde/HTML/*/kgoodstuff
%{prefix}/bin/kgoodstuff
%{prefix}/share/icons/kgoodstuff.xpm
%{prefix}/share/icons/mini/kgoodstuff.xpm
%{prefix}/share/locale/*/LC_MESSAGES/kgoodstuff.mo
%{prefix}/lib/menu/kgoodstuff

%changelog
* Tue Apr 11 2000 Franois Pons <fpons@mandrakesoft.com> 1.0.1-7mdk
- updated spec file and removed file list.
- added icons reference.

* Tue Apr 11 2000 Franois Pons <fpons@mandrakesoft.com> 1.0.1-6mdk
- moved menu entry to Applications/File tools.

* Fri Mar 31 2000 Franois Pons <fpons@mandrakesoft.com> 1.0.1-5mdk
- added menu entry.
- normalized group.

* Thu Jan 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 
- Libtoolize --force.

* Mon Nov 22 1999 John Corey <jcorey@mandrakesoft.com>
- Rebuild with FHS-2.0 compliance
- v1.0.1 build

* Sat Aug 28 1999 Daniel M. Duley <mosfet@linuxmandrake.com>
- Inital RPM.

